For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chatbot api Keys

Retrieves an existing API key

get

Required Permission: chatbots.apikey.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

indexnumberRequired

The index of the key (e.g., 1 or 2)

workspaceIdstringRequired

The ID of the workspace.

Responses
200

The API key.

application/json
apiKeystringOptional

The generated API key. Only fully displayed upon creation.

Example: CCSB-a1b2c3d4-e5f6g7h8i9j0
errorstringOptional

Optional error message.

get
/v1/workspaces/{workspaceId}/chatbots/{chatbotId}/api/{index}

Generates a new API key

post

Required Permission: chatbots.apikey.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

indexnumberRequired

The index of the key (e.g., 1 or 2)

workspaceIdstringRequired

The ID of the workspace.

Responses
post
/v1/workspaces/{workspaceId}/chatbots/{chatbotId}/api/{index}

Last updated